<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="d8501681-0944-4d49-82f9-09aabb10da6a" name="变更" comment="">
      <change afterPath="$PROJECT_DIR$/../education_uni/components/my-userinfo/my-userinfo.vue" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../education_uni/static/rightwhite.png" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/common/service_base/src/main/java/com/xunwang/servicebase/utils/RandomNameUtils.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/controller/InviteInfoController.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/controller/InviteInfoController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/controller/StudentRequirementsController.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/controller/StudentRequirementsController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/entity/StuNeeds.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/entity/StuNeeds.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/entity/dto/MyStuNeedsDto.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/entity/dto/MyStuNeedsDto.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/entity/socket/Message.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/entity/socket/Message.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/handler/ChatEndpoint.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/handler/ChatEndpoint.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/mapper/xml/MyFavoriteNeedsMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/mapper/xml/MyFavoriteNeedsMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/mapper/xml/StudentRequirementsMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/mapper/xml/StudentRequirementsMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/service/impl/InviteInfoServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/service/impl/InviteInfoServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/util/MessageUtil.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-education/src/main/java/com/xunwang/education/util/MessageUtil.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-file/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-file/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-payment/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-payment/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-payment/src/main/java/com/xunwang/payment/controller/OrderInfoController.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-payment/src/main/java/com/xunwang/payment/controller/OrderInfoController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-payment/src/main/java/com/xunwang/payment/mapper/xml/OrderInfoMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-payment/src/main/java/com/xunwang/payment/mapper/xml/OrderInfoMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-ucenter/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-ucenter/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/service/service-ucenter/src/main/java/com/xunwang/ucenter/service/impl/MiniProgramOpenidUidServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/service/service-ucenter/src/main/java/com/xunwang/ucenter/service/impl/MiniProgramOpenidUidServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/components/my-coursedetail/my-coursedetail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/components/my-coursedetail/my-coursedetail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/components/my-invite/my-invite.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/components/my-invite/my-invite.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/components/my-requiredetail/my-requiredetail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/components/my-requiredetail/my-requiredetail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/components/xb-swiper-preview/index.vue" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/main.js" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/main.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/package-lock.json" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/package-lock.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/pages.json" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/pages.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/pages/home/home.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/pages/home/home.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/pages/message/message.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/pages/message/message.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/pages/my/my.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/pages/my/my.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/pages/student/student.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/pages/student/student.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/pages/teacher/teacher.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/pages/teacher/teacher.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/static/avatar.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/static/xb-swiper-preview/icon-back.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/manager/complaint/manager_complaint.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/manager/complaint/manager_complaint.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/manager/complaint/manager_complaint_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/manager/complaint/manager_complaint_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/manager/complaint/manager_complaint_handle.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/manager/complaint/manager_complaint_handle.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/manager/manager.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/manager/manager.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/manager/suggestion/manager_suggestion.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/manager/suggestion/manager_suggestion.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/manager/suggestion/manager_suggestion_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/manager/suggestion/manager_suggestion_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/manager/suggestion/manager_suggestion_handle.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/manager/suggestion/manager_suggestion_handle.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/complaint/my_complaint.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/complaint/my_complaint.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/complaint/my_complaint_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/complaint/my_complaint_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/complaint/my_complaint_write.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/complaint/my_complaint_write.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/home/my_home_strategy.vue" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_receive.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_receive.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_receive_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_receive_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_send.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_send.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_send_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/invitation/my_invitation_send_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/message/my_message_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/message/my_message_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/official_account/my_official_account.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/official_account/my_official_account.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/order/my_order.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/order/my_order.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/order/my_order_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/order/my_order_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share_result.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share_result.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share_result_order.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share_result_order.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share_result_order_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/share/my_share_result_order_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/suggestion/my_suggestion.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/suggestion/my_suggestion.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/suggestion/my_suggestion_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/suggestion/my_suggestion_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/suggestion/my_suggestion_write.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/suggestion/my_suggestion_write.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/user/my_user_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/user/my_user_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/my/user/my_user_login.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/my/user/my_user_login.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/student/order/student_order_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/student/order/student_order_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_add.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_add.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_all_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_all_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_my_collect.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_my_collect.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_my_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_my_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_my_publish.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/student/require/student_require_my_publish.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/authentication/teacher_authentication.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/authentication/teacher_authentication.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/authentication/teacher_authentication_add.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/authentication/teacher_authentication_add.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/authentication/teacher_authentication_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/authentication/teacher_authentication_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_add.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_add.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_all_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_all_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_my_collect.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_my_collect.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_my_detail.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_my_detail.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_my_publish.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/subpkg/teacher/course/teacher_course_my_publish.vue" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../education_uni/uni_modules/uni-file-picker/components/uni-file-picker/uni-file-picker.vue" beforeDir="false" afterPath="$PROJECT_DIR$/../education_uni/uni_modules/uni-file-picker/components/uni-file-picker/uni-file-picker.vue" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\Java\MAVEN\repository" />
        <option name="mavenHome" value="D:/Java/MAVEN/apache-maven-3.6.3" />
        <option name="useMavenConfig" value="true" />
        <option name="userSettingsFile" value="C:\Users\86180\.m2\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="2NlqjO0MzfumhO7jPalfB88knmA" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/Users/86180/Desktop/新讯网/家教/mengyuan/family/education_family/service/service-payment/src/main/java/com/xunwang/payment&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Modules&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.15&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.pluginManager&quot;,
    &quot;spring.configuration.checksum&quot;: &quot;0b7b4537507353d4a1822abd918fca9b&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-payment\src\main\java\com\xunwang\payment" />
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-ucenter\src\main\java\com\xunwang\ucenter\service" />
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-ucenter\src\main\java\com\xunwang\ucenter\entity" />
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-ucenter\src\main\java\com\xunwang\ucenter\mapper" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-payment\src\main\resources" />
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-ucenter\src\main\java\com\xunwang\ucenter\utils" />
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-ucenter\src\main\java\com\xunwang\ucenter" />
      <recent name="C:\Users\86180\Desktop\新讯网\家教\mengyuan\family\education_family\service\service-ucenter\src\main\java\com\xunwang\ucenter\controller" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.xunwang.payment.filter" />
      <recent name="com.xunwang.payment.config" />
      <recent name="com.xunwang.payment.feign" />
      <recent name="com.xunwang.ucenter.entity.vo" />
      <recent name="com.xunwang.education.entity.vo" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.ServiceUcApplication">
    <configuration name="RandomNameUtils" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.xunwang.servicebase.utils.RandomNameUtils" />
      <module name="service_base" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.xunwang.servicebase.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.xunwang.servicebase.config.test" />
      <module name="service_base" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.xunwang.servicebase.config.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CodeGenerator.run" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="service-education" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.xunwang.education.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.xunwang.education" />
      <option name="MAIN_CLASS_NAME" value="com.xunwang.education.CodeGenerator" />
      <option name="METHOD_NAME" value="run" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ApiGatewayApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="api_gateway" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.xunwang.gateway.ApiGatewayApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EducationApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="service-education" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.xunwang.education.EducationApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ServiceFileApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="service-file" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.xunwang.file.ServiceFileApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ServicePaymentApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="service-payment" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.xunwang.payment.ServicePaymentApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ServiceUcApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="service-ucenter" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.xunwang.ucenter.ServiceUcApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.RandomNameUtils" />
      <item itemvalue="Application.test" />
      <item itemvalue="JUnit.CodeGenerator.run" />
      <item itemvalue="Spring Boot.ApiGatewayApplication" />
      <item itemvalue="Spring Boot.EducationApplication" />
      <item itemvalue="Spring Boot.ServicePaymentApplication" />
      <item itemvalue="Spring Boot.ServiceFileApplication" />
      <item itemvalue="Spring Boot.ServiceUcApplication" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.RandomNameUtils" />
        <item itemvalue="Application.test" />
        <item itemvalue="JUnit.CodeGenerator.run" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="SpringBootOptions">
    <option name="showAdditionalConfigNotification" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="d8501681-0944-4d49-82f9-09aabb10da6a" name="变更" comment="" />
      <created>1680249151719</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1680249151719</updated>
      <workItem from="1680249152914" duration="659000" />
      <workItem from="1680250023896" duration="2028000" />
      <workItem from="1680259560009" duration="1157000" />
      <workItem from="1680261688387" duration="1098000" />
      <workItem from="1680415678947" duration="4065000" />
      <workItem from="1680487711290" duration="6587000" />
      <workItem from="1680572290064" duration="6911000" />
      <workItem from="1680769462635" duration="630000" />
      <workItem from="1681009112995" duration="18000" />
      <workItem from="1681029920199" duration="750000" />
      <workItem from="1681093257373" duration="9650000" />
      <workItem from="1681176039810" duration="4618000" />
      <workItem from="1681181913167" duration="17934000" />
      <workItem from="1681264244349" duration="13961000" />
      <workItem from="1681349465496" duration="258000" />
      <workItem from="1681373221557" duration="1465000" />
      <workItem from="1681614006847" duration="84000" />
      <workItem from="1681614187403" duration="506000" />
      <workItem from="1681719478690" duration="3410000" />
      <workItem from="1681781043145" duration="21266000" />
      <workItem from="1681866679019" duration="20348000" />
      <workItem from="1681954373117" duration="18825000" />
      <workItem from="1682040924078" duration="16995000" />
      <workItem from="1682214045725" duration="15205000" />
      <workItem from="1682246451113" duration="4679000" />
      <workItem from="1682299671271" duration="25610000" />
      <workItem from="1682343573916" duration="78000" />
      <workItem from="1682386014350" duration="4802000" />
      <workItem from="1682390885746" duration="4087000" />
      <workItem from="1682404394648" duration="2483000" />
      <workItem from="1682472705408" duration="21879000" />
      <workItem from="1682560334401" duration="925000" />
      <workItem from="1682562789445" duration="8727000" />
      <workItem from="1682583011822" duration="2548000" />
      <workItem from="1682586247834" duration="1408000" />
      <workItem from="1682591466648" duration="3813000" />
      <workItem from="1682650727402" duration="21000" />
      <workItem from="1682651600115" duration="2685000" />
      <workItem from="1683186408426" duration="179000" />
      <workItem from="1683277922914" duration="1691000" />
      <workItem from="1683338594273" duration="12836000" />
      <workItem from="1683360243246" duration="1324000" />
      <workItem from="1683361726487" duration="133000" />
      <workItem from="1683768565661" duration="4146000" />
      <workItem from="1683856000395" duration="604000" />
      <workItem from="1683860765533" duration="3217000" />
      <workItem from="1684030715610" duration="707000" />
      <workItem from="1684032526455" duration="4644000" />
      <workItem from="1684114494211" duration="21000" />
      <workItem from="1684124662564" duration="8000" />
      <workItem from="1684124735794" duration="37000" />
      <workItem from="1684125195393" duration="49000" />
      <workItem from="1684131303003" duration="683000" />
      <workItem from="1684132008183" duration="2195000" />
      <workItem from="1684219223445" duration="2158000" />
      <workItem from="1684287219750" duration="12047000" />
      <workItem from="1684373892189" duration="10373000" />
      <workItem from="1684460567845" duration="554000" />
      <workItem from="1684461645676" duration="2458000" />
      <workItem from="1684476277251" duration="5334000" />
      <workItem from="1684636800359" duration="5465000" />
      <workItem from="1684719059668" duration="8210000" />
      <workItem from="1684741693654" duration="984000" />
      <workItem from="1684805792374" duration="6000" />
      <workItem from="1684806782672" duration="6245000" />
      <workItem from="1684892001178" duration="12563000" />
      <workItem from="1684978510421" duration="6346000" />
      <workItem from="1685015027288" duration="237000" />
      <workItem from="1685015505031" duration="16000" />
      <workItem from="1685065691162" duration="3513000" />
      <workItem from="1685241160460" duration="1293000" />
      <workItem from="1685256298185" duration="26000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="UnknownFeatures">
    <option featureType="dependencySupport" implementationName="java:org.springframework:spring-core" />
    <option featureType="dependencySupport" implementationName="java:org.springframework:spring-websocket" />
    <option featureType="dependencySupport" implementationName="java:jakarta.validation:jakarta.validation-api" />
    <option featureType="dependencySupport" implementationName="java:io.projectreactor:reactor-core" />
    <option featureType="dependencySupport" implementationName="java:org.springframework.data:spring-data-commons" />
    <option featureType="dependencySupport" implementationName="java:org.springframework.cloud:spring-cloud-context" />
    <option featureType="dependencySupport" implementationName="java:org.hibernate.validator:hibernate-validator" />
    <option featureType="dependencySupport" implementationName="java:io.minio:minio" />
    <option featureType="dependencySupport" implementationName="java:org.springframework:spring-messaging" />
    <option featureType="dependencySupport" implementationName="java:org.springframework.boot:spring-boot" />
    <option featureType="dependencySupport" implementationName="java:org.springframework:spring-webmvc" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>